Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client
Class JBossConnection

    java.lang.Object
      org.jboss.jms.client.JBossConnection

All Implemented Interfaces:
  java.io.Serializable

public class JBossConnection
extends java.lang.Object
implements java.io.Serializable

Version:
  `$Revision: 1.29 $` $Id: JBossConnection.java,v 1.29 2006/04/21 12:41:12 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox
See Also:
  Serialized Form

Field Summary
`protected ConnectionDelegate` | `delegate`

Constructor Summary
`JBossConnection(ConnectionDelegate delegate, int connectionType)`

Method Summary
`void` | `close()`
`ConnectionConsumer` | `createConnectionConsumer(Destination destination, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
`ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
`QueueSession` | `createQueueSession(boolean transacted, int acknowledgeMode)`
`Session` | `createSession(boolean transacted, int acknowledgeMode)`
`protected JBossSession` | `createSessionInternal(boolean transacted, int acknowledgeMode, boolean isXA, int type)`
`TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)`
`XAQueueSession` | `createXAQueueSession()`
`XASession` | `createXASession()`
`XATopicSession` | `createXATopicSession()`
`java.lang.String` | `getClientID()`
`ConnectionDelegate` | `getDelegate()`
`ExceptionListener` | `getExceptionListener()`
`ConnectionMetaData` | `getMetaData()`
`java.lang.String` | `getRemotingClientSessionId()`
`void` | `setClientID(java.lang.String clientID)`
`void` | `setExceptionListener(ExceptionListener listener)`
`void` | `start()`
`void` | `stop()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### delegate

    protected ConnectionDelegate delegate

Constructor Detail

### JBossConnection

    public JBossConnection(ConnectionDelegate delegate,
                           int connectionType)

Method Detail

### createSession

    public Session createSession(boolean transacted,
                                 int acknowledgeMode)
                          throws JMSException

  Throws:
    `JMSException`

### getClientID

    public java.lang.String getClientID()
                                 throws JMSException

  Throws:
    `JMSException`

### setClientID

    public void setClientID(java.lang.String clientID)
                     throws JMSException

  Throws:
    `JMSException`

### getMetaData

    public ConnectionMetaData getMetaData()
                                   throws JMSException

  Throws:
    `JMSException`

### getExceptionListener

    public ExceptionListener getExceptionListener()
                                           throws JMSException

  Throws:
    `JMSException`

### setExceptionListener

    public void setExceptionListener(ExceptionListener listener)
                              throws JMSException

  Throws:
    `JMSException`

### start

    public void start()
               throws JMSException

  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Throws:
    `JMSException`

### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Destination destination,
                                                       java.lang.String messageSelector,
                                                       ServerSessionPool sessionPool,
                                                       int maxMessages)
                                                throws JMSException

  Throws:
    `JMSException`

### createDurableConnectionConsumer

    public ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                              java.lang.String subscriptionName,
                                                              java.lang.String messageSelector,
                                                              ServerSessionPool sessionPool,
                                                              int maxMessages)
                                                       throws JMSException

  Throws:
    `JMSException`

### createQueueSession

    public QueueSession createQueueSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws JMSException

  Throws:
    `JMSException`

### createTopicSession

    public TopicSession createTopicSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws JMSException

  Throws:
    `JMSException`

### createXASession

    public XASession createXASession()
                              throws JMSException

  Throws:
    `JMSException`

### createXAQueueSession

    public XAQueueSession createXAQueueSession()
                                        throws JMSException

  Throws:
    `JMSException`

### createXATopicSession

    public XATopicSession createXATopicSession()
                                        throws JMSException

  Throws:
    `JMSException`

### toString

    public java.lang.String toString()

### getRemotingClientSessionId

    public java.lang.String getRemotingClientSessionId()

### getDelegate

    public ConnectionDelegate getDelegate()

### createSessionInternal

    protected JBossSession createSessionInternal(boolean transacted,
                                                 int acknowledgeMode,
                                                 boolean isXA,
                                                 int type)
                                          throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.